4 月 182005
 

PHP 4 有 bug 會導致 fsockopen 無法接受 “ssl://example.com”

即使有 OpenSSL support,還是會產生以下這樣的錯誤訊息:

Warning: fsockopen(): no SSL support in this build

PHP BUG #29934: http://bugs.php.net/bug.php?id=29934

解決方法有二:
1. Install PHP 5.x
2. FreeBSD, http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/72275

重裝系統時常常會忘記…. 搞了半天才發現之前就找過答案了.. 寫下來以免以後又忘了
建議若沒有特殊需求,儘量改用 PHP 5.x 吧..

 Posted by at 15:24

歡迎留下您的意見